int main(void)
{
    /* Builtin functions */
    double sin(double), cos(double);

    /* Local variables */
    extern int idb8d_c(double *, double *, double *, int *, int *, double *,
                       double *, double *, double *, double *, double *);
    static int i__, j, m, n;
    static double r__, ya[20]  /* was [5][4] */, yt[4], x1a[5], x2a[4],
                      y2a[20] /* was [5][4] */, yp1[5], y2t[4], rab[4],
                      ypn[5], y2at[20] /* was [5][4] */;
    int i__1, i__2;

#define ya_ref(a_1,a_2) ya[(a_2)*5 + a_1 - 6]
#define y2at_ref(a_1,a_2) y2at[(a_2)*5 + a_1 - 6]

    m = 5;
    n = 4;
    r__ = 0.;
    i__1 = m;
    for (i__ = 1; i__ <= i__1; ++i__) {
        x1a[i__ - 1] = r__;
/* L1: */
        r__ += .1;
    }
    r__ = 0.;
    i__1 = n;
    for (i__ = 1; i__ <= i__1; ++i__) {
        x2a[i__ - 1] = r__;
/* L2: */
        r__ += .1;
    }
    i__1 = m;
    for (i__ = 1; i__ <= i__1; ++i__) {
        yp1[i__ - 1] = sin(x1a[i__ - 1]) * cos(x2a[0]);
/* L3: */
        ypn[i__ - 1] = sin(x1a[i__ - 1]) * cos(x2a[n - 1]);
    }
    i__1 = m;
    for (i__ = 1; i__ <= i__1; ++i__) {
        i__2 = n;
        for (j = 1; j <= i__2; ++j) {
            ya_ref(i__, j) = sin(x1a[i__ - 1]) * sin(x2a[j - 1]);
/* L4: */
            y2at_ref(i__, j) = -ya_ref(i__, j);
        }
    }
    idb8d_c(x1a, x2a, ya, &m, &n, yp1, ypn, y2a, yt, y2t, rab);

    for (i__ = 0; i__ <= 15; i__+= 5) {
        printf("\n %15.6e%15.6e%15.6e%15.6e%15.6e",
                y2a[i__], y2a[i__+1], y2a[i__+2], y2a[i__+3], y2a[i__+4]);
    }
    printf("\n ");
    for (i__ = 1; i__ <= 16; i__+= 5) {
        printf("\n %15.6e%15.6e%15.6e%15.6e%15.6e",
              y2at_ref(1,i__), y2at_ref(1,i__+1), y2at_ref(1,i__+2),
              y2at_ref(1,i__+3), y2at_ref(1,i__+4));
    }
    printf("\n ");
    return 0;
} /* main */

#undef y2at_ref
#undef ya_ref
